gi-vte-2.91.31: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Vte.Structs.EventContext

Contents

- Exported types
- Methods
  - getEvent

Description

Provides context information for a context menu event.

Since: 0.76

Synopsis

- newtype EventContext = EventContext (ManagedPtr EventContext)
- eventContextGetEvent :: (HasCallStack, MonadIO m) => EventContext -> m Event

# Exported types

newtype EventContext Source #

Memory-managed wrapper type.

Constructors

EventContext (ManagedPtr EventContext) |

#### Instances

Instances details

Eq EventContext Source # |
Instance details Defined in GI.Vte.Structs.EventContext Methods (==) :: EventContext -> EventContext -> Bool Source # (/=) :: EventContext -> EventContext -> Bool Source #
BoxedPtr EventContext Source # |
Instance details Defined in GI.Vte.Structs.EventContext Methods boxedPtrCopy :: EventContext -> IO EventContext Source # boxedPtrFree :: EventContext -> IO () Source #
ManagedPtrNewtype EventContext Source # |
Instance details Defined in GI.Vte.Structs.EventContext Methods toManagedPtr :: EventContext -> ManagedPtr EventContext Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getEvent.

#### Setters

None.

## getEvent

eventContextGetEvent Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> EventContext | `context`: the `EventContext`
-> m Event | Returns: the `Event` that triggered the event, or `Nothing` if it was not triggered by an event

No description available in the introspection data.

Since: 0.76